//
//  OCENavFrameObject.h
//  InfiniteCanvas
//
//  Created by Markus Mueller <markus@mindnode.com>.
//	http://www.infinitecanvas.com/
//  Copyright (c) 2003-2005 Markus Mueller. All rights reserved.
//
//  This program is free software; you can redistribute it and/or modify
//  it under the terms of the GNU General Public License as published by
//  the Free Software Foundation; either version 2 of the License, or
//  (at your option) any later version.
//  
//  This program is distributed in the hope that it will be useful,
//  but WITHOUT ANY WARRANTY; without even the implied warranty of
//  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//  GNU General Public License for more details.
//  
//  You should have received a copy of the GNU General Public License
//  along with this program; if not, write to the Free Software
//  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
//  

#import <Foundation/Foundation.h>
#import "OCERectObject.h";
@class OCEActiveComponent;

@interface OCENavFrameObject : OCERectObject {
    bool isStartFrame;
	bool waiting;
	NSColor *borderColor;
	NSColor *frameColor;
	NSMutableArray *activeComponent;
	OCEActiveComponent *selectedComponent;
	OCEActiveComponent *focusRingComponent;
	NSString *URL;
	NSString *URLTarget;
	bool forceAspectRatio;
}

- (void) didUndo: (NSNotification *)notification;

// ----------------------------------------------------------------------
// Set Methods
// ----------------------------------------------------------------------
- (bool) isStartFrame;
- (void) setIsStartFrame: (bool) flag;
- (bool) waiting;
- (void) setWaiting: (bool) flag;
- (NSColor *) frameColor;
- (NSColor *) borderColor;
- (NSString *) URL;
- (NSString *) URLTarget;
- (void) setURL: (NSString *) newURL withTarget: (NSString *) newTarget;
- (bool) forceAspectRatio;
- (void) setForceAspectRatio: (bool) newValue;


// ----------------------------------------------------------------------
// Active Component Methods
// ----------------------------------------------------------------------
- (void) createActiveComponentForDocument: (OCEDocument *) document;
- (void) addActiveComponent: (OCEActiveComponent *) component;
- (void) removeActiveComponent: (OCEActiveComponent *) component;
- (bool) deleteActiveComponent;
- (NSPoint) convertPointToActiveComponent: (NSPoint) aPoint;
- (NSPoint) convertPointFromActiveComponent: (NSPoint) aPoint;
- (void) checkActiveComponent;
- (void) transformForActiveComponent;
- (OCERectObject *) activeComponentHitTest: (NSPoint) point;
- (bool) hasActiveComponent;

@end
