//
//  OCEPanelView.h
//  InfiniteCanvas
//
//  Created by Markus Mueller <markus@mindnode.com>.
//	http://www.infinitecanvas.com/
//  Copyright (c) 2003-2005 Markus Mueller. All rights reserved.
//
//  This program is free software; you can redistribute it and/or modify
//  it under the terms of the GNU General Public License as published by
//  the Free Software Foundation; either version 2 of the License, or
//  (at your option) any later version.
//  
//  This program is distributed in the hope that it will be useful,
//  but WITHOUT ANY WARRANTY; without even the implied warranty of
//  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//  GNU General Public License for more details.
//  
//  You should have received a copy of the GNU General Public License
//  along with this program; if not, write to the Free Software
//  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
//  


#import <Cocoa/Cocoa.h>
#import <math.h>

@class OCEDocument;
@class OCEWindowController;
@class OCEPanel;

@interface OCEPanelView : NSView
{
    IBOutlet NSWindow *mainWindow;
    IBOutlet NSTextField *countDisplay;
    IBOutlet OCEDocument *panelModel;
    IBOutlet OCEWindowController *controller;
    bool dragging;
    NSMutableArray *selectedObjects;
    NSNotificationCenter *nc;
}

- (void) updateView;
- (IBAction)openImportPanel:(id)sender;
- (void)setWindowController:(OCEWindowController *)aController;
- (OCEWindowController *)panelWindowController;
- (OCEDocument *)panelModel;

- (NSMutableArray *) selectedObjects;
- (BOOL)objectIsSelected:(OCEPanel *)object; 
- (void)selectObject:(OCEPanel *)object;
- (void)deselectObject:(OCEPanel *)object;
- (void)clearSelection;

- (void) setPanelCountDisplay;

- (void) setToolTips;

@end